Projects

Get projects

GET
/projects.json

Get a list of projects (all public projects and private projects the user has access to)

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Query Parameters

include?array<>

Fetch associated data

offset?integer

Offset of the first item

Formatint64
Range0 <= value
Default0
limit?integer

Number of items per page

Formatint64
Range1 <= value <= 100
Default100

Response Body

The request has succeeded.

application/json
  1. response
projects*array<>
total_count*integer

Total number of items

Formatint64
offset*integer

Offset of the first item

Formatint64
limit*integer

Limit of items per page

Formatint64
curl -X GET 'https://redmine.example.com/projects.json'
{  "projects": [    {      "id": 0,      "name": "string",      "identifier": "string",      "description": "string",      "homepage": "string",      "parent": {        "id": 0,        "name": "string"      },      "status": 1,      "is_public": true,      "inherit_members": true,      "default_version": {        "id": 0,        "name": "string"      },      "default_assignee": {        "id": 0,        "name": "string"      },      "custom_fields": [        {          "id": 0,          "name": "string",          "multiple": true,          "value": "string"        }      ],      "created_on": "2019-08-24T14:15:22Z",      "updated_on": "2019-08-24T14:15:22Z",      "trackers": [        {          "id": 0,          "name": "string"        }      ],      "issue_categories": [        {          "id": 0,          "name": "string"        }      ],      "enabled_modules": [        {          "id": 0,          "name": "string"        }      ],      "time_entry_activities": [        {          "id": 0,          "name": "string"        }      ],      "issue_custom_fields": [        {          "id": 0,          "name": "string"        }      ]    }  ],  "total_count": 0,  "offset": 0,  "limit": 0}